Open CASCADE Technology  7.7.0.dev
Public Member Functions

BRepMAT2d_Explorer Class Reference

Construct an explorer from wires, face, set of curves from Geom2d to compute the bisecting Locus. More...

#include <BRepMAT2d_Explorer.hxx>

Public Member Functions

 BRepMAT2d_Explorer ()
 
 BRepMAT2d_Explorer (const TopoDS_Face &aFace)
 
void Clear ()
 Clear the contents of <me>. More...
 
void Perform (const TopoDS_Face &aFace)
 
Standard_Integer NumberOfContours () const
 Returns the Number of contours. More...
 
Standard_Integer NumberOfCurves (const Standard_Integer IndexContour) const
 Returns the Number of Curves in the Contour number <IndexContour>. More...
 
void Init (const Standard_Integer IndexContour)
 Initialisation of an Iterator on the curves of the Contour number <IndexContour>. More...
 
Standard_Boolean More () const
 Return False if there is no more curves on the Contour initialised by the method Init. More...
 
void Next ()
 Move to the next curve of the current Contour. More...
 
Handle< Geom2d_CurveValue () const
 Returns the current curve on the current Contour. More...
 
TopoDS_Shape Shape () const
 
const TColGeom2d_SequenceOfCurveContour (const Standard_Integer IndexContour) const
 
Standard_Boolean IsModified (const TopoDS_Shape &aShape) const
 
TopoDS_Shape ModifiedShape (const TopoDS_Shape &aShape) const
 If the shape is not modified, returns the shape itself. More...
 
const TColStd_SequenceOfBooleanGetIsClosed () const
 

Detailed Description

Construct an explorer from wires, face, set of curves from Geom2d to compute the bisecting Locus.

Constructor & Destructor Documentation

◆ BRepMAT2d_Explorer() [1/2]

BRepMAT2d_Explorer::BRepMAT2d_Explorer ( )

◆ BRepMAT2d_Explorer() [2/2]

BRepMAT2d_Explorer::BRepMAT2d_Explorer ( const TopoDS_Face aFace)

Member Function Documentation

◆ Clear()

void BRepMAT2d_Explorer::Clear ( )

Clear the contents of <me>.

◆ Contour()

const TColGeom2d_SequenceOfCurve& BRepMAT2d_Explorer::Contour ( const Standard_Integer  IndexContour) const

◆ GetIsClosed()

const TColStd_SequenceOfBoolean& BRepMAT2d_Explorer::GetIsClosed ( ) const

◆ Init()

void BRepMAT2d_Explorer::Init ( const Standard_Integer  IndexContour)

Initialisation of an Iterator on the curves of the Contour number <IndexContour>.

◆ IsModified()

Standard_Boolean BRepMAT2d_Explorer::IsModified ( const TopoDS_Shape aShape) const

◆ ModifiedShape()

TopoDS_Shape BRepMAT2d_Explorer::ModifiedShape ( const TopoDS_Shape aShape) const

If the shape is not modified, returns the shape itself.

◆ More()

Standard_Boolean BRepMAT2d_Explorer::More ( ) const

Return False if there is no more curves on the Contour initialised by the method Init.

◆ Next()

void BRepMAT2d_Explorer::Next ( )

Move to the next curve of the current Contour.

◆ NumberOfContours()

Standard_Integer BRepMAT2d_Explorer::NumberOfContours ( ) const

Returns the Number of contours.

◆ NumberOfCurves()

Standard_Integer BRepMAT2d_Explorer::NumberOfCurves ( const Standard_Integer  IndexContour) const

Returns the Number of Curves in the Contour number <IndexContour>.

◆ Perform()

void BRepMAT2d_Explorer::Perform ( const TopoDS_Face aFace)

◆ Shape()

TopoDS_Shape BRepMAT2d_Explorer::Shape ( ) const

◆ Value()

Handle< Geom2d_Curve > BRepMAT2d_Explorer::Value ( ) const

Returns the current curve on the current Contour.


The documentation for this class was generated from the following file: